Bug 229141 - initscript does not allow customizations
initscript does not allow customizations
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ss5 (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Matteo Ricchetti
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-18 06:37 EST by Enrico Scholz
Modified: 2009-03-05 11:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.6.4-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 11:31:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2007-02-18 06:37:18 EST
Description of problem:

'ss5' can be started with some options (e.g. -b or -s). Nevertheless, the
initscript sets '-t' only and does not allow any customization.

You should add a typical

| test -f /etc/sysconfig/ss5 && . /etc/sysconfig/ss5
| ...
|      daemon /usr/sbin/ss5 -t $SS5_OPTS

to /etc/init.d/ss5. Please note the additional 'daemon' too.


Version-Release number of selected component (if applicable):

ss5-3.5.9-4
Comment 1 Bug Zapper 2008-04-04 02:16:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Enrico Scholz 2008-04-04 03:34:14 EDT
still there with ss5-3.5.9-4
Comment 3 Matteo Ricchetti 2008-04-04 03:36:18 EDT
(In reply to comment #0)
> Description of problem:
> 'ss5' can be started with some options (e.g. -b or -s). Nevertheless, the
> initscript sets '-t' only and does not allow any customization.
> You should add a typical
> | test -f /etc/sysconfig/ss5 && . /etc/sysconfig/ss5
> | ...
> |      daemon /usr/sbin/ss5 -t $SS5_OPTS
> to /etc/init.d/ss5. Please note the additional 'daemon' too.
> Version-Release number of selected component (if applicable):
> ss5-3.5.9-4


I'm working to new release and all bugs you listed will be fixed.  At the 
moment I am not able to tell you when new release will be ready. 

Thank you.
Comment 4 Bug Zapper 2008-05-13 22:37:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Itamar Reis Peixoto 2009-01-28 14:11:36 EST
I will try to fix this in this next weekend.
Comment 6 Fedora Update System 2009-02-04 21:18:03 EST
ss5-3.6.4-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ss5'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1319
Comment 7 Fedora Update System 2009-03-05 11:31:12 EST
ss5-3.6.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.